﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Collections.Specialized;
using System.Net;

using CMS.PortalEngine;
using CMS.PortalControls;
using CMS.GlobalHelper;
using CMS.CMSHelper;
using CMS.SiteProvider;
using CMS.SettingsProvider;

public partial class CMSWebParts_Custom_WorldPayPost : CMSAbstractWebPart
{
    protected void Page_Load(object sender, EventArgs e)
    {
        if (!RequestHelper.IsPostBack())
        {
            this.txtAccountID.Text = SettingsKeyProvider.GetStringValue(CMSContext.CurrentSiteName + ".CMSWorldPayMerchantAccount");
        }
    }
    
    /// <summary>
    /// Submit button handler.
    /// </summary>
    protected void btnSubmit_Click(object sender, EventArgs e)
    {
        NameValueCollection requestParams = new NameValueCollection();
        requestParams["M_orderId"] = this.txtOrderID.Text;
        requestParams["transId"] = Guid.NewGuid().ToString();
        requestParams["transStatus"] = this.txtTransStatus.Text;
        requestParams["callbackPW"] = this.txtCallbackPass.Text;
        requestParams["authAmount"] = this.txtOrderPrice.Text;
        requestParams["authCurrency"] = this.txtCurrencyCode.Text;
        requestParams["M_accId1"] = this.txtAccountID.Text;

        byte[] responseData = null;
        WebClient client = new WebClient();
        client.BaseAddress =  "http://" + CMSContext.CurrentSite.DomainName + URLHelper.ResolveUrl("~/CMSModules/Ecommerce/CMSPages/WorldPayPN.aspx");
        try
        {
            responseData = client.UploadValues(client.BaseAddress, "POST", requestParams);
            this.lblError.Text = "Success!";
        }
        catch (Exception ex)
        {
            this.lblError.Text = ex.InnerException.Message; 
        }



        
    }
}